package com.tuigai.tuigai_tongcheng_api.enums;

public enum ChangeTicketTypeEnum {

    TO_STATION_CHANGE("1", "变更到站", 1),
    TRAIN_FROM_TIME_CHANGE("2", "车次时间变更", 2),//2个都变
    SEAT_TYPE_CHANGE("3", "坐席变更", 3),
    TRAIN_CHANGE("4", "车次变更", 4),
    DATE_CHANGE("5", "时间变更", 5),
    ;


    private String code;
    private String name;

    private int sort;


    ChangeTicketTypeEnum(String code, String name, int sort) {
        this.code = code;
        this.name = name;
        this.sort = sort;
    }

    public int getSort() {
        return sort;
    }

    public void setSort(int sort) {
        this.sort = sort;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

}
