package com.tuigai.tuigai_tongcheng_api.mapper;

import com.tuigai.tuigai_tongcheng_api.model.ChangeTrainOrderPassenger;
import org.apache.ibatis.annotations.*;

import java.util.List;

@Mapper
public interface ChangeTrainOrderPassengerMapper {

    @Select("select `id`,`orderId`,`outId`, `agentId`, `certificateNo`, `certificateTypeCode`, `certificateTypeName`, `originalCoachName`, `originalCoachNo`, `originalSeatNo`, `originalSeatTypeCode`, `originalSeatTypeName`, `changeSeatTypeCode`, " +
            "`changeSeatTypeName`, `originalTicketPrice`, `passengerName`, `subOrderId`, `ticketTypeCode`, `preTicketPrice`, `ticketTypeName`, " +
            "`handingFee`, `changeSeatNo`, `changeCoachNo`, `changeCoachName`, `changeTicketPrice`, `changeApplyId`,failCode,failReason,serviceFee12306 " +
            " from change_train_passenger_tb where outId=#{outId}")
    @Results(id = "ChangeTrainOrderPassengerResult", value = {
            @Result(property = "id", column = "id"),
            @Result(property = "orderId", column = "orderId"),
            @Result(property = "outId", column = "outId"),
            @Result(property = "agentId", column = "agentId"),
            @Result(property = "certificateNo", column = "certificateNo"),
            @Result(property = "certificateTypeCode", column = "certificateTypeCode"),
            @Result(property = "certificateTypeName", column = "certificateTypeName"),
            @Result(property = "originalCoachName", column = "originalCoachName"),
            @Result(property = "originalCoachNo", column = "originalCoachNo"),
            @Result(property = "originalSeatNo", column = "originalSeatNo"),
            @Result(property = "originalSeatTypeCode", column = "originalSeatTypeCode"),
            @Result(property = "originalSeatTypeName", column = "originalSeatTypeName"),
            @Result(property = "changeSeatTypeCode", column = "changeSeatTypeCode"),
            @Result(property = "changeSeatTypeName", column = "changeSeatTypeName"),
            @Result(property = "originalTicketPrice", column = "originalTicketPrice"),
            @Result(property = "passengerName", column = "passengerName"),
            @Result(property = "subOrderId", column = "subOrderId"),
            @Result(property = "ticketTypeCode", column = "ticketTypeCode"),
            @Result(property = "preTicketPrice", column = "preTicketPrice"),
            @Result(property = "ticketTypeName", column = "ticketTypeName"),
            @Result(property = "handingFee", column = "handingFee"),
            @Result(property = "changeSeatNo", column = "changeSeatNo"),
            @Result(property = "changeCoachNo", column = "changeCoachNo"),
            @Result(property = "changeCoachName", column = "changeCoachName"),
            @Result(property = "changeTicketPrice", column = "changeTicketPrice"),
            @Result(property = "changeApplyId", column = "changeApplyId"),
            @Result(property = "serviceFee12306", column = "serviceFee12306")
    })
    List<ChangeTrainOrderPassenger> getChangeTrainOrderPassengerByOutId(@Param("outId") String outId);
}
