package com.tuigai.tuigai_tongcheng_api.mapper;




import com.tuigai.tuigai_tongcheng_api.model.OrderOptLog;
import org.apache.ibatis.annotations.*;

import java.util.List;

@Mapper
public interface OrderOptLogMapper {

    //添加
    @Insert("INSERT INTO order_log(order_id, operator, opt_name, ope_des, create_time) " +
            "VALUES (#{orderId},#{operator},#{optName},#{optDesc},now())")
    int addOrderOptLog(OrderOptLog orderOptLog);

    //添加
    @Insert("INSERT INTO order_log(order_id, operator, opt_name, ope_des, create_time) " +
            "VALUES (#{orderId},#{operator},#{optName},#{optDesc},now())")
    int addIssueOrderOptLog(@Param("orderId") String orderId, @Param("operator") String operator, @Param("optName") String optName, @Param("optDesc") String opeDes);

    //查找
    @Select("select `id`, `order_id`, `operator`, `opt_name`,`ope_des`,`create_time` from order_log where order_id = #{orderId}")
    @Results(id = "orderOptLog", value = {
            @Result(property = "id", column = "id"),
            @Result(property = "orderId", column = "order_id"),
            @Result(property = "operator", column = "operator"),
            @Result(property = "optName", column = "opt_name"),
            @Result(property = "optDesc", column = "ope_des"),
            @Result(property = "createTime", column = "create_time")

    })
    List<OrderOptLog> getOrderOptLog(@Param("orderId") String orderId);


}
