package com.tuigai.tuigai_tongcheng_api.controller;

import com.alibaba.fastjson.JSONObject;
import com.tuigai.tuigai_tongcheng_api.dto.RestMessage;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/order")
@Slf4j
public class OrderController {


    @PostMapping("/saveChangeOrder")
    public RestMessage saveChangeOrder(@RequestBody JSONObject jsonObject) {
        log.info("改签订单：" + jsonObject.toJSONString());
        return RestMessage.result("ok");
    }


    @PostMapping("/saveRefundOrder")
    public RestMessage saveRefundOrder(@RequestBody JSONObject jsonObject) {
        log.info("退票订单：" + jsonObject.toJSONString());
        return RestMessage.result("ok");
    }

}
