package com.tuigai.tuigai_tongcheng_api.dto;

public enum RestStatusCode {
    //成功
    SUCCESS(200),
    //鉴权失败
    AUTH_FAILED(201),
    //参数错误
    PARAM_FAILED(202),
    //账户错误
    ACCOUNT_FAILED(203),
    //系统错误
    SYS_ERROR(500),
    //业务错误
    BUSINESS_ERROR(204),

    TIME_OUT(408);
    int code;
    RestStatusCode(int code){
        this.code = code;
    }

    public int getCode() {
        return code;
    }
}
