package com.tuigai.tuigai_tongcheng_api.mapper;


import com.tuigai.tuigai_tongcheng_api.model.ChangeTrainOrder;
import org.apache.ibatis.annotations.*;

@Mapper
public interface ChangeTrainOrderMapper {

    @Select("select `id`,`orderId`, `orderStatus`, `companyId`, `orderSource`, `createTime`, `agentId`, `changeApplyId`, `changeFromDateTime`, `changeFromStation`, `changeFromStationCode`, " +
            "`changeIssueTimeout`, `changeTicketType`, `changeToDateTime`, `changeToStation`, `changeToStationCode`, `changeTrainCode`, `changeTrainDate`, `changeType`, `originalFromDateTime`," +
            " `originalFromStation`, `originalFromStationCode`, `originalSequenceNo`, `originalToDateTime`, `originalToStation`, `originalToStationCode`, `originalTrainCode`, `originalTrainDate`," +
            " `settlementMode`, `status`, `ticketPriceAll`, `ticketTotalNum`, `tpId`, `ttpId`, `callBackStatus`, `callBackFailed`, `operators`, `issueTime`, `remark`, `issueMinutes`," +
            " `payPrice`, `orderPrice`, `alipayTradeNo`, `sequenceNo` , `issueFailCode`,issueFailReason, `lockOrderTime`, `outId`, `passengerNames`, `originalSeatTypeName`, `originalSeatTypeCode`," +
            " `originalSeatNo`,`originalTicketPrice`, `originaCoachNo`, `originaCoachName`, `alipayAccount`," +
            " `onlineBookingAccept`, `onlineBookingCarriage`, `onlineBookingCount`, `onlineBooking`, `onlineBookingSeat`," +
            "`vipTicketNoSeatAccept`, `vipTicketNoSeat`,resetReason,bohuiDate, bizOrderId," +
            " vipTicketWindowSeat,vipTicketWindowSeatCount,vipTicketWindowSeatAccept,vipTicketCorridorSeat,vipTicketCorridorSeatCount,vipTicketCorridorSeatAccept, " +
            " vipTicketLowerBerth,vipTicketLowerBerthCount,vipTicketLowerBerthAccept,vipTicketMiddleLowerBerth,vipTicketMiddleLowerBerthCount,vipTicketMiddleLowerBerthAccept," +
            " vipTicketMiddleBerth,vipTicketMiddleBerthCount,vipTicketMiddleBerthAccept,vipTicketUpperBerth,vipTicketUpperBerthCount,vipTicketUpperBerthAccept,carriage,carriageCustom," +
            " carriageCount,carriageAccept,nearTheDoor,nearTheDoorCount,nearTheDoorAccept,adjacencySeat,adjacencySeatCount,adjacencySeatAccept," +
            "sameRoom,sameRoomCount,sameRoomAccept,alipayTradeNo,emergency,extendFlags,interPosition,interPositionCount,interPositionAccept, " +
            " estimateChangePrice,lookCompanyId,lookResult,lookChangeResult,isLook" +
            " from change_trainorder_tb where outId=#{outId}")
    @Results(id = "ChangeTrainOrderResult", value = {
            @Result(property = "id", column = "id"),
            @Result(property = "outId", column = "outId"),
            @Result(property = "orderId", column = "orderId"),
            @Result(property = "bizOrderId", column = "bizOrderId"),
            @Result(property = "orderStatus", column = "orderStatus"),
            @Result(property = "companyId", column = "companyId"),
            @Result(property = "orderSource", column = "orderSource"),
            @Result(property = "createTime", column = "createTime"),
            @Result(property = "agentId", column = "agentId"),
            @Result(property = "changeApplyId", column = "changeApplyId"),
            @Result(property = "changeFromDateTime", column = "changeFromDateTime"),
            @Result(property = "changeFromStation", column = "changeFromStation"),
            @Result(property = "changeFromStationCode", column = "changeFromStationCode"),
            @Result(property = "changeIssueTimeout", column = "changeIssueTimeout"),
            @Result(property = "changeTicketType", column = "changeTicketType"),
            @Result(property = "changeToDateTime", column = "changeToDateTime"),
            @Result(property = "changeToStation", column = "changeToStation"),
            @Result(property = "changeToStationCode", column = "changeToStationCode"),
            @Result(property = "changeTrainCode", column = "changeTrainCode"),
            @Result(property = "changeTrainDate", column = "changeTrainDate"),
            @Result(property = "changeType", column = "changeType"),
            @Result(property = "originalFromDateTime", column = "originalFromDateTime"),
            @Result(property = "originalFromStation", column = "originalFromStation"),
            @Result(property = "originalFromStationCode", column = "originalFromStationCode"),
            @Result(property = "originalSequenceNo", column = "originalSequenceNo"),
            @Result(property = "originalToDateTime", column = "originalToDateTime"),
            @Result(property = "originalToStation", column = "originalToStation"),
            @Result(property = "originalToStationCode", column = "originalToStationCode"),
            @Result(property = "originalTrainCode", column = "originalTrainCode"),
            @Result(property = "originalTrainDate", column = "originalTrainDate"),
            @Result(property = "settlementMode", column = "settlementMode"),
            @Result(property = "status", column = "status"),
            @Result(property = "ticketPriceAll", column = "ticketPriceAll"),
            @Result(property = "ticketTotalNum", column = "ticketTotalNum"),
            @Result(property = "tpId", column = "tpId"),
            @Result(property = "ttpId", column = "ttpId"),
            @Result(property = "callBackStatus", column = "callBackStatus"),
            @Result(property = "callBackFailed", column = "callBackFailed"),
            @Result(property = "operators", column = "operators"),
            @Result(property = "issueTime", column = "issueTime"),
            @Result(property = "remark", column = "remark"),
            @Result(property = "issueMinutes", column = "issueMinutes"),
            @Result(property = "payPrice", column = "payPrice"),
            @Result(property = "orderPrice", column = "orderPrice"),
            @Result(property = "alipayTradeNo", column = "alipayTradeNo"),
            @Result(property = "sequenceNo", column = "sequenceNo"),
            @Result(property = "issueFailCode", column = "issueFailCode"),
            @Result(property = "passengerNames", column = "passengerNames"),
            @Result(property = "originalSeatTypeName", column = "originalSeatTypeName"),
            @Result(property = "originalSeatTypeCode", column = "originalSeatTypeCode"),
            @Result(property = "originalSeatNo", column = "originalSeatNo"),
            @Result(property = "originalTicketPrice", column = "originalTicketPrice"),
            @Result(property = "originaCoachNo", column = "originaCoachNo"),
            @Result(property = "originaCoachName", column = "originaCoachName"),
            @Result(property = "alipayAccount", column = "alipayAccount"),
            @Result(property = "vipTicketNoSeatAccept", column = "vipTicketNoSeatAccept"),
            @Result(property = "vipTicketNoSeat", column = "vipTicketNoSeat"),
            @Result(property = "resetReason", column = "resetReason"),
            @Result(property = "issueFailReason", column = "issueFailReason"),

            @Result(property = "vipTicketWindowSeat", column = "vipTicketWindowSeat"),
            @Result(property = "vipTicketWindowSeatCount", column = "vipTicketWindowSeatCount"),
            @Result(property = "vipTicketWindowSeatAccept", column = "vipTicketWindowSeatAccept"),
            @Result(property = "vipTicketCorridorSeat", column = "vipTicketCorridorSeat"),
            @Result(property = "vipTicketCorridorSeatCount", column = "vipTicketCorridorSeatCount"),
            @Result(property = "vipTicketCorridorSeatAccept", column = "vipTicketCorridorSeatAccept"),
            @Result(property = "vipTicketLowerBerth", column = "vipTicketLowerBerth"),
            @Result(property = "vipTicketLowerBerthCount", column = "vipTicketLowerBerthCount"),
            @Result(property = "vipTicketLowerBerthAccept", column = "vipTicketLowerBerthAccept"),
            @Result(property = "vipTicketMiddleLowerBerth", column = "vipTicketMiddleLowerBerth"),
            @Result(property = "vipTicketMiddleLowerBerthCount", column = "vipTicketMiddleLowerBerthCount"),
            @Result(property = "vipTicketMiddleLowerBerthAccept", column = "vipTicketMiddleLowerBerthAccept"),
            @Result(property = "vipTicketMiddleBerth", column = "vipTicketMiddleBerth"),
            @Result(property = "vipTicketMiddleBerthCount", column = "vipTicketMiddleBerthCount"),
            @Result(property = "vipTicketMiddleBerthAccept", column = "vipTicketMiddleBerthAccept"),
            @Result(property = "vipTicketUpperBerth", column = "vipTicketUpperBerth"),
            @Result(property = "vipTicketUpperBerthCount", column = "vipTicketUpperBerthCount"),
            @Result(property = "vipTicketUpperBerthAccept", column = "vipTicketUpperBerthAccept"),
            @Result(property = "carriage", column = "carriage"),
            @Result(property = "carriageCustom", column = "carriageCustom"),
            @Result(property = "carriageCount", column = "carriageCount"),
            @Result(property = "carriageAccept", column = "carriageAccept"),
            @Result(property = "nearTheDoor", column = "nearTheDoor"),
            @Result(property = "nearTheDoorCount", column = "nearTheDoorCount"),
            @Result(property = "nearTheDoorAccept", column = "nearTheDoorAccept"),
            @Result(property = "adjacencySeat", column = "adjacencySeat"),
            @Result(property = "adjacencySeatCount", column = "adjacencySeatCount"),
            @Result(property = "adjacencySeatAccept", column = "adjacencySeatAccept"),
            @Result(property = "sameRoom", column = "sameRoom"),
            @Result(property = "sameRoomCount", column = "sameRoomCount"),
            @Result(property = "sameRoomAccept", column = "sameRoomAccept"),
            @Result(property = "failReasonAdd", column = "failReasonAdd"),
            @Result(property = "emergency", column = "emergency"),
            @Result(property = "forceMatch", column = "forceMatch"),
            @Result(property = "extendFlags", column = "extendFlags"),
            @Result(property = "interPosition", column = "interPosition"),
            @Result(property = "interPositionCount", column = "interPositionCount"),
            @Result(property = "interPositionAccept", column = "interPositionAccept"),
            @Result(property = "estimateChangePrice", column = "estimateChangePrice"),
            @Result(property = "emergent", column = "emergent"),
            @Result(property = "changeSeatType", column = "changeSeatType"),
            @Result(property = "checkResult", column = "checkResult"),
            @Result(property = "changeRepeatCount", column = "changeRepeatCount"),
            @Result(property = "specialMark", column = "specialMark"),
            @Result(property = "allocateTime", column = "allocateTime"),
            @Result(property = "lookCompanyId", column = "lookCompanyId"),
            @Result(property = "lookResult", column = "lookResult"),
            @Result(property = "lookChangeResult", column = "lookChangeResult"),
            @Result(property = "isLook", column = "isLook"),

    })
    ChangeTrainOrder getChangeTrainOrderByOutId(@Param("outId") String outId);
    @Update({"<script>",
            "update `change_trainorder_tb` " +
                    " <set>"+
                    " <if test= 'orderStatus != null and orderStatus != \"\"'>"+
                    " orderStatus=#{orderStatus}," +
                    " </if>"+
                    " <if test= 'status != null and status != \"\"'>"+
                    " status=#{status}," +
                    " </if>"+
                    " <if test= 'issueFailReason != null and issueFailReason != \"\"'>"+
                    " issueFailReason=#{issueFailReason}," +
                    " </if>"+
                    " <if test= 'issueFailCode != null and issueFailCode != \"\"'>"+
                    " issueFailCode=#{issueFailCode}," +
                    " </if>"+
                    " <if test= 'issueTime != null and issueTime != \"\"'>"+
                    " issueTime=#{issueTime}," +
                    " </if>"+
                    "<if test= 'ticketGate != null and ticketGate != \"\"'>"+
                    " ticketGate=#{ticketGate}," +
                    "</if>"+
                    "<if test= 'payStatus != null and payStatus != \"\"'>"+
                    " payStatus=#{payStatus}," +
                    "</if>"+
                    "<if test= 'changeType != null and changeType != \"\"'>"+
                    " changeType=#{changeType}," +
                    "</if>"+
                    "<if test= 'callBackStatus != null'>"+
                    " callBackStatus=#{callBackStatus}," +
                    "</if>"+
                    " </set>"+
                    "where outId =#{outId}",
            "</script>"
    })
    void updateChangeTrainOrderStatusAndIssueFailReason(ChangeTrainOrder changeTrainOrder);
}
