package com.tuigai.tuigai_tongcheng_api.service;


import cn.hutool.core.date.DateUtil;
import com.tuigai.tuigai_tongcheng_api.mapper.OrderOptLogMapper;
import com.tuigai.tuigai_tongcheng_api.model.OrderOptLog;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassName OrderOptLogServiceImpl
 * @Description TODO
 * @Author Tx
 * @Date 2023/5/23 15:41
 * @Version 1.0
 */
@Service
@Slf4j
public class OrderOptLogServiceImpl {
    @Autowired
    private OrderOptLogMapper orderOptLogMapper;

    public void sysAddOptLog(String orderId, String optName, String optDesc) {
        OrderOptLog optLog = new OrderOptLog();
        optLog.createTime = DateUtil.now();
        optLog.operator = "System";
        optLog.optName = optName;
        optLog.optDesc = optDesc;
        optLog.orderId = orderId;
        addOrderOptLog(optLog);
    }


    public int userAddOptLog(String operator, String orderId, String optName, String optDesc) {
        return 0;
    }


    public int addOrderOptLog(OrderOptLog orderOptLog) {
        return orderOptLogMapper.addOrderOptLog(orderOptLog);
    }


    public List<OrderOptLog> getOrderOptLog(String orderId) {
        return orderOptLogMapper.getOrderOptLog(orderId);
    }


}
